Name:           perl-local-lib
Version:        2.000024
Release:        2
%define pkg_name local-lib
License:        GPL+ or Artistic
Group:          Development/Libraries
Summary:        Create and use a local lib/ for perl modules with Perl5lib
Url:            https://metacpan.org/release/local-lib
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{pkg_name}-%{version}.tar.gz
Source1:        perl-homedir.sh
Source2:        perl-homedir.csh
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Carp::Heavy)
BuildRequires:  perl(Config)
BuildRequires:  perl(CPAN)
BuildRequires:  perl(CPAN::HandleConfig)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 7.00
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Glob)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Carp)
Requires:       perl(Carp::Heavy)
Requires:       perl(File::Basename)
Requires:       perl(File::Glob)
Requires:       perl(File::Spec)

%description
This module provides a quick, convenient way of bootstrapping a user-local
Perl module library located within the user's home directory. It also
constructs and prints out for the user the list of environment variables
using the syntax appropriate for the user's current shell (as specified by
the SHELL environment variable), suitable for directly adding to one's shell
configuration file.

More generally, local::lib allows for the bootstrapping and usage of a directory
containing Perl modules outside of Perl's @INC. This makes it easier to ship
an application with an app-specific copy of a Perl module, or collection of
modules. Useful in cases like when an upstream maintainer hasn't applied a patch
to a module of theirs that you need for your application.

%package -n perl-homedir
Group:      Development/Libraries
Summary:    Automatically setup user $HOME
Requires:   %{name} = %{version}-%{release}

%description -n perl-homedir
perl-homedir automatically create a ~/perl5 directory in user's $HOME when user login.

%prep
%setup -q -n local-lib-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install -pm0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/
install -pm0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files -n perl-homedir
%{_sysconfdir}/profile.d/*

%changelog
* Tue Jan 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.000024 - 2
- Fix build dependence

* Mon Aug 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.000024 - 1
- Package Init
